<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::structural_svm_object_detection_problem&lt; image_scanner_type, image_array_type &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1structural__svm__object__detection__problem.html">structural_svm_object_detection_problem</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1structural__svm__object__detection__problem-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::structural_svm_object_detection_problem&lt; image_scanner_type, image_array_type &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::structural_svm_object_detection_problem&lt; image_scanner_type, image_array_type &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1structural__svm__object__detection__problem.png" usemap="#dlib::structural_5Fsvm_5Fobject_5Fdetection_5Fproblem_3C_20image_5Fscanner_5Ftype_2C_20image_5Farray_5Ftype_20_3E_map" alt=""/>
  <map id="dlib::structural_5Fsvm_5Fobject_5Fdetection_5Fproblem_3C_20image_5Fscanner_5Ftype_2C_20image_5Farray_5Ftype_20_3E_map" name="dlib::structural_5Fsvm_5Fobject_5Fdetection_5Fproblem_3C_20image_5Fscanner_5Ftype_2C_20image_5Farray_5Ftype_20_3E_map">
<area href="classdlib_1_1structural__svm__problem__threaded.html" alt="dlib::structural_svm_problem_threaded&lt; matrix&lt; double, 0, 1 &gt; &gt;" shape="rect" coords="0,112,523,136"/>
<area href="classdlib_1_1noncopyable.html" alt="dlib::noncopyable" shape="rect" coords="533,112,1056,136"/>
<area href="classdlib_1_1structural__svm__problem.html" alt="dlib::structural_svm_problem&lt; matrix&lt; double, 0, 1 &gt;, matrix&lt; double, 0, 1 &gt; &gt;" shape="rect" coords="0,56,523,80"/>
<area href="classdlib_1_1oca__problem.html" alt="dlib::oca_problem&lt; matrix&lt; double, 0, 1 &gt; &gt;" shape="rect" coords="0,0,523,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdlib_1_1structural__svm__object__detection__problem_1_1init__scanners__helper.html">init_scanners_helper</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:adb5ed4fcb84ca9d5e68b84d9b15a281e"><td class="memItemLeft" align="right" valign="top"><a id="adb5ed4fcb84ca9d5e68b84d9b15a281e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>structural_svm_object_detection_problem</b> (const image_scanner_type &amp;scanner, const <a class="el" href="classdlib_1_1test__box__overlap.html">test_box_overlap</a> &amp;overlap_tester, const bool auto_overlap_tester, const image_array_type &amp;images_, const std::vector&lt; std::vector&lt; <a class="el" href="classdlib_1_1full__object__detection.html">full_object_detection</a> &gt; &gt; &amp;truth_object_detections_, const std::vector&lt; std::vector&lt; <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &gt; &gt; &amp;ignore_, const <a class="el" href="classdlib_1_1test__box__overlap.html">test_box_overlap</a> &amp;ignore_overlap_tester_, unsigned long num_threads=2)</td></tr>
<tr class="separator:adb5ed4fcb84ca9d5e68b84d9b15a281e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a567be309c499e1d73ec8ad63b37cb571"><td class="memItemLeft" align="right" valign="top"><a id="a567be309c499e1d73ec8ad63b37cb571"></a>
<a class="el" href="classdlib_1_1test__box__overlap.html">test_box_overlap</a>&#160;</td><td class="memItemRight" valign="bottom"><b>get_overlap_tester</b> () const</td></tr>
<tr class="separator:a567be309c499e1d73ec8ad63b37cb571"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a523c469c728186f54a5eab9d63060ca9"><td class="memItemLeft" align="right" valign="top"><a id="a523c469c728186f54a5eab9d63060ca9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_match_eps</b> (double eps)</td></tr>
<tr class="separator:a523c469c728186f54a5eab9d63060ca9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ec119abfe1f8220eaa28f91d833f83a"><td class="memItemLeft" align="right" valign="top"><a id="a6ec119abfe1f8220eaa28f91d833f83a"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>get_match_eps</b> () const</td></tr>
<tr class="separator:a6ec119abfe1f8220eaa28f91d833f83a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c0091b138a1fbc6faf7e9def01acc7c"><td class="memItemLeft" align="right" valign="top"><a id="a2c0091b138a1fbc6faf7e9def01acc7c"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>get_loss_per_missed_target</b> () const</td></tr>
<tr class="separator:a2c0091b138a1fbc6faf7e9def01acc7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1991be14fce468682cf372a9fa746b76"><td class="memItemLeft" align="right" valign="top"><a id="a1991be14fce468682cf372a9fa746b76"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_loss_per_missed_target</b> (double loss)</td></tr>
<tr class="separator:a1991be14fce468682cf372a9fa746b76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6be79c6fa0e69e67a63e116427216dd0"><td class="memItemLeft" align="right" valign="top"><a id="a6be79c6fa0e69e67a63e116427216dd0"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>get_loss_per_false_alarm</b> () const</td></tr>
<tr class="separator:a6be79c6fa0e69e67a63e116427216dd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0efebeaaf8902447de54d4b8fc5502c8"><td class="memItemLeft" align="right" valign="top"><a id="a0efebeaaf8902447de54d4b8fc5502c8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_loss_per_false_alarm</b> (double loss)</td></tr>
<tr class="separator:a0efebeaaf8902447de54d4b8fc5502c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1structural__svm__problem__threaded"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1structural__svm__problem__threaded')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix&lt; double, 0, 1 &gt; &gt;</a></td></tr>
<tr class="memitem:a347ede8e4d702c77979e2056ad1f01e1 inherit pub_methods_classdlib_1_1structural__svm__problem__threaded"><td class="memItemLeft" align="right" valign="top"><a id="a347ede8e4d702c77979e2056ad1f01e1"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>structural_svm_problem_threaded</b> (unsigned long num_threads)</td></tr>
<tr class="separator:a347ede8e4d702c77979e2056ad1f01e1 inherit pub_methods_classdlib_1_1structural__svm__problem__threaded"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a220b80687f913684f9c4bd8ee62848d2 inherit pub_methods_classdlib_1_1structural__svm__problem__threaded"><td class="memItemLeft" align="right" valign="top"><a id="a220b80687f913684f9c4bd8ee62848d2"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_threads</b> () const</td></tr>
<tr class="separator:a220b80687f913684f9c4bd8ee62848d2 inherit pub_methods_classdlib_1_1structural__svm__problem__threaded"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1structural__svm__problem"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1structural__svm__problem')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix&lt; double, 0, 1 &gt;, matrix&lt; double, 0, 1 &gt; &gt;</a></td></tr>
<tr class="memitem:adf6211381551dcc1c317e726b9c193de inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="adf6211381551dcc1c317e726b9c193de"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>get_cache_based_epsilon</b> () const</td></tr>
<tr class="separator:adf6211381551dcc1c317e726b9c193de inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f75fc47a1080ab072dcbfbc4d6b00a4 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a9f75fc47a1080ab072dcbfbc4d6b00a4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_cache_based_epsilon</b> (scalar_type eps_)</td></tr>
<tr class="separator:a9f75fc47a1080ab072dcbfbc4d6b00a4 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f6201af37da8972ea255d54fd72ddcc inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a6f6201af37da8972ea255d54fd72ddcc"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_epsilon</b> (scalar_type eps_)</td></tr>
<tr class="separator:a6f6201af37da8972ea255d54fd72ddcc inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af94f764df97c667d062ab4de727b65fc inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="af94f764df97c667d062ab4de727b65fc"></a>
const scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>get_epsilon</b> () const</td></tr>
<tr class="separator:af94f764df97c667d062ab4de727b65fc inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abeb6312b799044b0ac069a3275212a1f inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="abeb6312b799044b0ac069a3275212a1f"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_max_iterations</b> () const</td></tr>
<tr class="separator:abeb6312b799044b0ac069a3275212a1f inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30904cb3211e8b0d949640d07190906e inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a30904cb3211e8b0d949640d07190906e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_max_iterations</b> (unsigned long max_iter)</td></tr>
<tr class="separator:a30904cb3211e8b0d949640d07190906e inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22f35f2fda4a495b3c96fa485184c343 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a22f35f2fda4a495b3c96fa485184c343"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_max_cache_size</b> (unsigned long max_size)</td></tr>
<tr class="separator:a22f35f2fda4a495b3c96fa485184c343 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af33578f2ee7d08e8f3ca22417197db31 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="af33578f2ee7d08e8f3ca22417197db31"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_max_cache_size</b> () const</td></tr>
<tr class="separator:af33578f2ee7d08e8f3ca22417197db31 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3523f2952290c55dbc735eeea856dd72 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a3523f2952290c55dbc735eeea856dd72"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>be_verbose</b> ()</td></tr>
<tr class="separator:a3523f2952290c55dbc735eeea856dd72 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a228877d7935cbda8f87b2e61bd370b9d inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a228877d7935cbda8f87b2e61bd370b9d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>be_quiet</b> ()</td></tr>
<tr class="separator:a228877d7935cbda8f87b2e61bd370b9d inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbd70c0de1acc5203473d9516ba38516 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="adbd70c0de1acc5203473d9516ba38516"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>get_c</b> () const</td></tr>
<tr class="separator:adbd70c0de1acc5203473d9516ba38516 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ce4fb486177ef7cbd9517041e797e62 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a4ce4fb486177ef7cbd9517041e797e62"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_c</b> (scalar_type C_)</td></tr>
<tr class="separator:a4ce4fb486177ef7cbd9517041e797e62 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb399c2d9096a37939e1243591ce9b3e inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="acb399c2d9096a37939e1243591ce9b3e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_nuclear_norm_regularizer</b> (long first_dimension, long rows, long cols, double regularization_strength)</td></tr>
<tr class="separator:acb399c2d9096a37939e1243591ce9b3e inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa2a57bf3be12498303806340a6668b2 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="afa2a57bf3be12498303806340a6668b2"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>num_nuclear_norm_regularizers</b> () const</td></tr>
<tr class="separator:afa2a57bf3be12498303806340a6668b2 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62fac7b3c8704635590b61484ef12d2c inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a62fac7b3c8704635590b61484ef12d2c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clear_nuclear_norm_regularizers</b> ()</td></tr>
<tr class="separator:a62fac7b3c8704635590b61484ef12d2c inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a485d496a8b4672ab0926bbf56d11105e"><td class="memItemLeft" align="right" valign="top"><a id="a485d496a8b4672ab0926bbf56d11105e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>auto_configure_overlap_tester</b> ()</td></tr>
<tr class="separator:a485d496a8b4672ab0926bbf56d11105e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb45177e2974ee28e6de1aa69d3f087e"><td class="memItemLeft" align="right" valign="top"><a id="aeb45177e2974ee28e6de1aa69d3f087e"></a>
virtual long&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_dimensions</b> () const</td></tr>
<tr class="separator:aeb45177e2974ee28e6de1aa69d3f087e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0d2124cc509b55cf988e59c1390e464"><td class="memItemLeft" align="right" valign="top"><a id="ad0d2124cc509b55cf988e59c1390e464"></a>
virtual long&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_samples</b> () const</td></tr>
<tr class="separator:ad0d2124cc509b55cf988e59c1390e464"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dc6a2f09ccf56f3e4b51faa92b54672"><td class="memItemLeft" align="right" valign="top"><a id="a5dc6a2f09ccf56f3e4b51faa92b54672"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>get_truth_joint_feature_vector</b> (long idx, <a class="el" href="classdlib_1_1matrix.html">feature_vector_type</a> &amp;psi) const</td></tr>
<tr class="separator:a5dc6a2f09ccf56f3e4b51faa92b54672"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41bf5d2204fea09881acb6d818c8ed21"><td class="memItemLeft" align="right" valign="top"><a id="a41bf5d2204fea09881acb6d818c8ed21"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>separation_oracle</b> (const long idx, const <a class="el" href="classdlib_1_1structural__svm__problem.html#a838a31de24d3c3ea3f751c7db337b60f">matrix_type</a> &amp;current_solution, scalar_type &amp;loss, <a class="el" href="classdlib_1_1matrix.html">feature_vector_type</a> &amp;psi) const</td></tr>
<tr class="separator:a41bf5d2204fea09881acb6d818c8ed21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a294a2166246e82a4116982d72c105a79"><td class="memItemLeft" align="right" valign="top"><a id="a294a2166246e82a4116982d72c105a79"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>overlaps_ignore_box</b> (const long idx, const <a class="el" href="classdlib_1_1rectangle.html">dlib::rectangle</a> &amp;rect) const</td></tr>
<tr class="separator:a294a2166246e82a4116982d72c105a79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad305b9a6f3eabc09d0849621f99a8a23"><td class="memItemLeft" align="right" valign="top">std::pair&lt; double, unsigned int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1structural__svm__object__detection__problem.html#ad305b9a6f3eabc09d0849621f99a8a23">find_best_match</a> (const std::vector&lt; <a class="el" href="classdlib_1_1full__object__detection.html">full_object_detection</a> &gt; &amp;boxes, const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> rect) const</td></tr>
<tr class="separator:ad305b9a6f3eabc09d0849621f99a8a23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16197ac48ca41a4ab68b4000b64fe5f4"><td class="memItemLeft" align="right" valign="top"><a id="a16197ac48ca41a4ab68b4000b64fe5f4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>initialize_scanners</b> (const image_scanner_type &amp;scanner, unsigned long num_threads)</td></tr>
<tr class="separator:a16197ac48ca41a4ab68b4000b64fe5f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1noncopyable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1noncopyable')"><img src="closed.png" alt="-"/>&#160;Private Member Functions inherited from <a class="el" href="classdlib_1_1noncopyable.html">dlib::noncopyable</a></td></tr>
<tr class="memitem:ac52d1076f79ef032f5ced545bd4cc4f9 inherit pub_methods_classdlib_1_1noncopyable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1noncopyable.html#ac52d1076f79ef032f5ced545bd4cc4f9">noncopyable</a> ()</td></tr>
<tr class="separator:ac52d1076f79ef032f5ced545bd4cc4f9 inherit pub_methods_classdlib_1_1noncopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:af1ccf5e5f265cd4bc820b70c3a6b38a8"><td class="memItemLeft" align="right" valign="top"><a id="af1ccf5e5f265cd4bc820b70c3a6b38a8"></a>
<a class="el" href="classdlib_1_1test__box__overlap.html">test_box_overlap</a>&#160;</td><td class="memItemRight" valign="bottom"><b>boxes_overlap</b></td></tr>
<tr class="separator:af1ccf5e5f265cd4bc820b70c3a6b38a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee1a6d4d008af44cb952bf6b55f7e0f6"><td class="memItemLeft" align="right" valign="top"><a id="aee1a6d4d008af44cb952bf6b55f7e0f6"></a>
<a class="el" href="classdlib_1_1array.html">array</a>&lt; image_scanner_type &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>scanners</b></td></tr>
<tr class="separator:aee1a6d4d008af44cb952bf6b55f7e0f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a921d0c79d7f0dd1729b9ddcf5c72bd45"><td class="memItemLeft" align="right" valign="top"><a id="a921d0c79d7f0dd1729b9ddcf5c72bd45"></a>
const image_array_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>images</b></td></tr>
<tr class="separator:a921d0c79d7f0dd1729b9ddcf5c72bd45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbc34f986496e295409eb64d0e55795a"><td class="memItemLeft" align="right" valign="top"><a id="acbc34f986496e295409eb64d0e55795a"></a>
const std::vector&lt; std::vector&lt; <a class="el" href="classdlib_1_1full__object__detection.html">full_object_detection</a> &gt; &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>truth_object_detections</b></td></tr>
<tr class="separator:acbc34f986496e295409eb64d0e55795a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b6c7e5e71432ffaa2dd8b3f214e52bf"><td class="memItemLeft" align="right" valign="top"><a id="a8b6c7e5e71432ffaa2dd8b3f214e52bf"></a>
const std::vector&lt; std::vector&lt; <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &gt; &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>ignore</b></td></tr>
<tr class="separator:a8b6c7e5e71432ffaa2dd8b3f214e52bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1dfea022b6f4cb49d598d79c26fdec79"><td class="memItemLeft" align="right" valign="top"><a id="a1dfea022b6f4cb49d598d79c26fdec79"></a>
const <a class="el" href="classdlib_1_1test__box__overlap.html">test_box_overlap</a>&#160;</td><td class="memItemRight" valign="bottom"><b>ignore_overlap_tester</b></td></tr>
<tr class="separator:a1dfea022b6f4cb49d598d79c26fdec79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e56144477463519e723e45fb1d5fea6"><td class="memItemLeft" align="right" valign="top"><a id="a4e56144477463519e723e45fb1d5fea6"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>max_num_dets</b></td></tr>
<tr class="separator:a4e56144477463519e723e45fb1d5fea6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0755d1d0dddd8379602c2abc7f62694"><td class="memItemLeft" align="right" valign="top"><a id="ae0755d1d0dddd8379602c2abc7f62694"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>match_eps</b></td></tr>
<tr class="separator:ae0755d1d0dddd8379602c2abc7f62694"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55caddf2b469ccef80df899f7a0c5933"><td class="memItemLeft" align="right" valign="top"><a id="a55caddf2b469ccef80df899f7a0c5933"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>loss_per_false_alarm</b></td></tr>
<tr class="separator:a55caddf2b469ccef80df899f7a0c5933"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6461173b3e56ddaa2517b3636e87cef2"><td class="memItemLeft" align="right" valign="top"><a id="a6461173b3e56ddaa2517b3636e87cef2"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>loss_per_missed_target</b></td></tr>
<tr class="separator:a6461173b3e56ddaa2517b3636e87cef2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classdlib_1_1structural__svm__problem__threaded"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classdlib_1_1structural__svm__problem__threaded')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix&lt; double, 0, 1 &gt; &gt;</a></td></tr>
<tr class="memitem:a04bf53985203ee6a3efac4d3d8b76e72 inherit pub_types_classdlib_1_1structural__svm__problem__threaded"><td class="memItemLeft" align="right" valign="top"><a id="a04bf53985203ee6a3efac4d3d8b76e72"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 0, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>matrix_type</b></td></tr>
<tr class="separator:a04bf53985203ee6a3efac4d3d8b76e72 inherit pub_types_classdlib_1_1structural__svm__problem__threaded"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b5483a292b416abc7f4889df06a484b inherit pub_types_classdlib_1_1structural__svm__problem__threaded"><td class="memItemLeft" align="right" valign="top"><a id="a6b5483a292b416abc7f4889df06a484b"></a>
typedef matrix_type::type&#160;</td><td class="memItemRight" valign="bottom"><b>scalar_type</b></td></tr>
<tr class="separator:a6b5483a292b416abc7f4889df06a484b inherit pub_types_classdlib_1_1structural__svm__problem__threaded"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add7f306f0797ac554da6ab62f5c1b8f8 inherit pub_types_classdlib_1_1structural__svm__problem__threaded"><td class="memItemLeft" align="right" valign="top"><a id="add7f306f0797ac554da6ab62f5c1b8f8"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 0, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>feature_vector_type</b></td></tr>
<tr class="separator:add7f306f0797ac554da6ab62f5c1b8f8 inherit pub_types_classdlib_1_1structural__svm__problem__threaded"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classdlib_1_1structural__svm__problem"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classdlib_1_1structural__svm__problem')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix&lt; double, 0, 1 &gt;, matrix&lt; double, 0, 1 &gt; &gt;</a></td></tr>
<tr class="memitem:a838a31de24d3c3ea3f751c7db337b60f inherit pub_types_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 0, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1structural__svm__problem.html#a838a31de24d3c3ea3f751c7db337b60f">matrix_type</a></td></tr>
<tr class="separator:a838a31de24d3c3ea3f751c7db337b60f inherit pub_types_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad568aa6bb03f6292f334b6e41201f037 inherit pub_types_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="ad568aa6bb03f6292f334b6e41201f037"></a>
typedef matrix_type::type&#160;</td><td class="memItemRight" valign="bottom"><b>scalar_type</b></td></tr>
<tr class="separator:ad568aa6bb03f6292f334b6e41201f037 inherit pub_types_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb703e9adad7faf7987150a9940411f5 inherit pub_types_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="acb703e9adad7faf7987150a9940411f5"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 0, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>feature_vector_type</b></td></tr>
<tr class="separator:acb703e9adad7faf7987150a9940411f5 inherit pub_types_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classdlib_1_1oca__problem"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classdlib_1_1oca__problem')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classdlib_1_1oca__problem.html">dlib::oca_problem&lt; matrix&lt; double, 0, 1 &gt; &gt;</a></td></tr>
<tr class="memitem:a1349fc70c26000fa04e8329edae78902 inherit pub_types_classdlib_1_1oca__problem"><td class="memItemLeft" align="right" valign="top"><a id="a1349fc70c26000fa04e8329edae78902"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 0, 1 &gt; ::type&#160;</td><td class="memItemRight" valign="bottom"><b>scalar_type</b></td></tr>
<tr class="separator:a1349fc70c26000fa04e8329edae78902 inherit pub_types_classdlib_1_1oca__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classdlib_1_1structural__svm__problem"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classdlib_1_1structural__svm__problem')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix&lt; double, 0, 1 &gt;, matrix&lt; double, 0, 1 &gt; &gt;</a></td></tr>
<tr class="memitem:a1faeda0e0132462aaa230288cbb88d52 inherit pro_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a1faeda0e0132462aaa230288cbb88d52"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>compute_nuclear_norm_parts</b> (const <a class="el" href="classdlib_1_1structural__svm__problem.html#a838a31de24d3c3ea3f751c7db337b60f">matrix_type</a> &amp;m, <a class="el" href="classdlib_1_1structural__svm__problem.html#a838a31de24d3c3ea3f751c7db337b60f">matrix_type</a> &amp;grad, scalar_type &amp;obj) const</td></tr>
<tr class="separator:a1faeda0e0132462aaa230288cbb88d52 inherit pro_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6001eb14630a26a0c7382ccfe679b96c inherit pro_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a6001eb14630a26a0c7382ccfe679b96c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>separation_oracle_cached</b> (const long idx, const <a class="el" href="classdlib_1_1structural__svm__problem.html#a838a31de24d3c3ea3f751c7db337b60f">matrix_type</a> &amp;current_solution, scalar_type &amp;loss, <a class="el" href="classdlib_1_1matrix.html">feature_vector_type</a> &amp;psi) const</td></tr>
<tr class="separator:a6001eb14630a26a0c7382ccfe679b96c inherit pro_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classdlib_1_1structural__svm__problem"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classdlib_1_1structural__svm__problem')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix&lt; double, 0, 1 &gt;, matrix&lt; double, 0, 1 &gt; &gt;</a></td></tr>
<tr class="memitem:afbc4b6143e9697a1ddd37db3ac391d8b inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="afbc4b6143e9697a1ddd37db3ac391d8b"></a>
std::vector&lt; <a class="el" href="structdlib_1_1impl_1_1nuclear__norm__regularizer.html">impl::nuclear_norm_regularizer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>nuclear_norm_regularizers</b></td></tr>
<tr class="separator:afbc4b6143e9697a1ddd37db3ac391d8b inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08a69ca9ec5e61b5640971601b85e0a7 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a08a69ca9ec5e61b5640971601b85e0a7"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>saved_current_risk_gap</b></td></tr>
<tr class="separator:a08a69ca9ec5e61b5640971601b85e0a7 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f18bec5509dc91ac866face713989ec inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a7f18bec5509dc91ac866face713989ec"></a>
<a class="el" href="classdlib_1_1structural__svm__problem.html#a838a31de24d3c3ea3f751c7db337b60f">matrix_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>psi_true</b></td></tr>
<tr class="separator:a7f18bec5509dc91ac866face713989ec inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3912570168deff1227f88dedc82575c inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="aa3912570168deff1227f88dedc82575c"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>eps</b></td></tr>
<tr class="separator:aa3912570168deff1227f88dedc82575c inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32c1ef15d68ae71e97081c86015c4a00 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a32c1ef15d68ae71e97081c86015c4a00"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>max_iterations</b></td></tr>
<tr class="separator:a32c1ef15d68ae71e97081c86015c4a00 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa63b2b0165646540d4375e0fa95c2364 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="aa63b2b0165646540d4375e0fa95c2364"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>verbose</b></td></tr>
<tr class="separator:aa63b2b0165646540d4375e0fa95c2364 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a55a97dc58c586d1fe7e6d9ba06019c inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a3a55a97dc58c586d1fe7e6d9ba06019c"></a>
std::vector&lt; <a class="el" href="classdlib_1_1cache__element__structural__svm.html">cache_element_structural_svm</a>&lt; <a class="el" href="classdlib_1_1structural__svm__problem.html">structural_svm_problem</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>cache</b></td></tr>
<tr class="separator:a3a55a97dc58c586d1fe7e6d9ba06019c inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d7ff04fbbc4b3a737b3a26726f9318f inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a4d7ff04fbbc4b3a737b3a26726f9318f"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>skip_cache</b></td></tr>
<tr class="separator:a4d7ff04fbbc4b3a737b3a26726f9318f inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78ceaeb40375a9ef47b7444865981224 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a78ceaeb40375a9ef47b7444865981224"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>count_below_eps</b></td></tr>
<tr class="separator:a78ceaeb40375a9ef47b7444865981224 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23b200151db4f019a376f3b83668cc0f inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a23b200151db4f019a376f3b83668cc0f"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>max_cache_size</b></td></tr>
<tr class="separator:a23b200151db4f019a376f3b83668cc0f inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a021b4fe20f91115ef8a6e2a14e360251 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a021b4fe20f91115ef8a6e2a14e360251"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>converged</b></td></tr>
<tr class="separator:a021b4fe20f91115ef8a6e2a14e360251 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab564b7b1d08c7d43bc2653ea7faa93a8 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="ab564b7b1d08c7d43bc2653ea7faa93a8"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>nuclear_norm_part</b></td></tr>
<tr class="separator:ab564b7b1d08c7d43bc2653ea7faa93a8 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abff8d3d10e6af68a3e0b6cd9f960cb87 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="abff8d3d10e6af68a3e0b6cd9f960cb87"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>cache_based_eps</b></td></tr>
<tr class="separator:abff8d3d10e6af68a3e0b6cd9f960cb87 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a552c537e2ba88270ddcea3a397b8b71c inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a552c537e2ba88270ddcea3a397b8b71c"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>C</b></td></tr>
<tr class="separator:a552c537e2ba88270ddcea3a397b8b71c inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad305b9a6f3eabc09d0849621f99a8a23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad305b9a6f3eabc09d0849621f99a8a23">&#9670;&nbsp;</a></span>find_best_match()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename image_scanner_type, typename image_array_type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;double,unsigned int&gt; <a class="el" href="classdlib_1_1structural__svm__object__detection__problem.html">dlib::structural_svm_object_detection_problem</a>&lt; image_scanner_type, image_array_type &gt;::find_best_match </td>
          <td>(</td>
          <td class="paramtype">const std::vector&lt; <a class="el" href="classdlib_1_1full__object__detection.html">full_object_detection</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>boxes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a>&#160;</td>
          <td class="paramname"><em>rect</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">ensures
    - determines which rectangle in boxes matches rect the most and
      returns the amount of this match.  Specifically, the match is
      a number O with the following properties:
        - 0 &lt;= O &lt;= 1
        - Let R be the maximum matching rectangle in boxes, then
          O == (R.intersect(rect)).area() / (R + rect).area()
        - O == 0 if there is no match with any rectangle.
</pre><p> ! </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="structural__svm__object__detection__problem_8h_source.html">structural_svm_object_detection_problem.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
